#!/usr/bin/env python
#
#  photonics example
#
from I3Tray import *

from os.path import expandvars

import os
import sys
import time

load("libdataclasses");
load("libphys-services");
load("libdataio");
load("libicepick");
load("libpfclasses");
load("libjebclasses");
#load("michelangelos_icepick");

if len(sys.argv)!=4:
    print "Wrong number of arguments!!"
    print "Usage: FilterMaskFilter.py geo_file input_file output_file"
    sys.exit()

geo_file = sys.argv[1];
input_file = sys.argv[2];
outputfilename = sys.argv[3];

tray = I3Tray();

tray.AddService("I3ReaderServiceFactory","reader")(
    ("filenamelist",[geo_file,input_file])
    )



#
# The muxer talks to the services above and puts together frames
# which it sends downstream... 
#
tray.AddModule("I3Muxer","muxme")

tray.AddModule("I3IcePickModule<I3FilterMaskFilter>", "skipEvents")(
    ("DiscardEvents", True),
    ("FilterMaskName", "FilterMask"),
    ("FilterStreamName", "EHEFilter"))

#tray.AddModule("I3IcePickModule<I3SkipNEventFilter>", "skip")(
#    ("discardEvents", True),
#    ("SkipNevents", 50),
#    ("NeventStopick", 5)
#    )


tray.AddModule("Dump","dump");

tray.AddModule("I3Writer", "writer")(
    ("filename", outputfilename),
    ("streams", ["Physics"])
    );

tray.AddModule("TrashCan","the can");

tray.Execute();
tray.Finish();
